#
# spec file for package python-iso3166
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-iso3166
Version:        2.1.1
Release:        1.7
Summary:        Python ISO 3166-1 country definitions
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/deactivated/python-iso3166
Source:         https://files.pythonhosted.org/packages/source/i/iso3166/iso3166-%{version}.tar.gz
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
ISO 3166-1 defines two-letter, three-letter, and three-digit country
codes. `python-iso3166` is a self-contained module that converts
between these codes and the corresponding country name.

%prep
%setup -q -n iso3166-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc CHANGES README.rst
%license LICENSE.txt
%{python_sitelib}/*

%changelog
* Thu Sep 29 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- 2.1.1 - July 11, 2022
  * Move install metadata from setup.py to setup.cfg
  * Add py.typed to source distribution
- 2.1.0 - July 11, 2022
  * Updated entries
  * “Turkey” changed to “Türkiye”
* Mon Jan 24 2022 Michael Ströder <michael@stroeder.com>
- update to 2.0.2
  * Add the ``py.typed`` marker file in accordance with PEP 561
  * Add ``python_requires`` to ``setup.py``
  * Add type hints throughout codebase
  * Drop support for Python versions prior to 3.6
* Thu Aug 27 2020 John Vandenberg <jayvdb@gmail.com>
- Convert to single spec
- Activate test suite
- Update to v1.0.1
  * Include test files in source distribution
  * Added all Python 3 versions to tox.ini and supported list
- from v1.0
  * "Macedonia, the former Yugoslav Republic of" changed to
    "North Macedonia" (effective 2019-03-13)
  * Added numeric code 983 for Kosovo to mirror usage by the
    National Statistical Office of Canada
- from v0.9
  * New entry for Kosovo (XK / XKX)
  * Swaziland changed to Eswatini (effective 2018-07-16)
- from v0.8
  * Czechia (changed 2016-09)
  * United Kingdom of Great Britain and Northern Ireland
    (changed 2014-12)
* Tue Jun 30 2015 prusnak@opensuse.org
- created package (version 0.7)
